Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model
Interface IMarkupType

All Superinterfaces
  Serializable

    public interface IMarkupType

extends Serializable

Markup type offered by a portlet.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`List<Locale>` | `getLocales()` Returns an immutable list of locales supported by the portlet.
`String` | `getMimeType()` Returns the MIME type
`List<String>` | `getModes()` Returns an immutable list of modes supported by the portlet.
`List<String>` | `getWindowStates()` Returns an immutable list of window states supported by the portlet.

Method Detail

### getMimeType

    String getMimeType()

  Returns the MIME type

  Returns
    MIME type

### getModes

    List<String> getModes()

  Returns an immutable list of modes supported by the portlet.

  Returns
    modes

### getWindowStates

    List<String> getWindowStates()

  Returns an immutable list of window states supported by the portlet.

  Returns
    window states

### getLocales

    List<Locale> getLocales()

  Returns an immutable list of locales supported by the portlet.

  Returns
    locales

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.